#ifndef __HEAT_H__
#define __HEAT_H__

#ifdef __cplusplus
 extern "C" {
#endif

#include "stm32f4xx.h"

#define PORT_HEAT (GPIOB)
#define PIN_HEAT  (GPIO_Pin_1)

extern uint32_t system_tick_cnt;

void heat_init(void);
void heat_on(void);
void heat_off(void);
void heat_toggle(void);
void heat_loop(void);

#ifdef __cplusplus
}
#endif

#endif /* __HEAT_H__ */
